Skip to main content
`Ctrl`+`K`

# PetscFixFilename

Fixes a file name so that it is correct for both Unix and Microsoft Windows by using the correct / or \ to separate directories.

## Synopsis

    PetscErrorCode PetscFixFilename(const char filein[], char fileout[])

Not Collective

## Input Parameter

- filein - name of file to be fixed

## Output Parameter

- fileout - the fixed name. Should long enough to hold the filename.

## See Also

`PetscFOpen()`

## Level

developer

## Location

src/sys/fileio/ghome.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages